Bug 210395 - pvmove causes the machine to hang when moving /
pvmove causes the machine to hang when moving /
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 16:27 EDT by Forrest Taylor
Modified: 2013-02-28 23:04 EST (History)
5 users (show)

See Also:
Fixed In Version: RHEL4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 10:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An strace of pvmove in init 1 (211.94 KB, application/octet-stream)
2006-10-11 16:28 EDT, Forrest Taylor
no flags Details
Strace output from pvmove in rescue mode (206.42 KB, application/octet-stream)
2006-10-11 16:30 EDT, Forrest Taylor
no flags Details

  None (edit)
Description Forrest Taylor 2006-10-11 16:27:06 EDT
Description of problem:
pvmove causes the machine to hang when moving the data from the logical volume
that contains the / file system.

Disk layout before:
/dev/hda1   *           1          13      104391   83  Linux
/dev/hda2              14         778     6144862+  8e  Linux LVM
/dev/hda3             779         843      522112+  82  Linux swap

Disk layout after:
/dev/hda1   *           1          13      104391   83  Linux
/dev/hda2              14         778     6144862+  8e  Linux LVM
/dev/hda3             779         843      522112+  82  Linux swap
/dev/hda4             844        2434    12779707+   5  Extended
/dev/hda5             844        1695     6843658+  83  Linux LVM


lvdisplay
--
  --- Logical volume ---
  LV Name                /dev/vol0/root
  VG Name                vol0
  LV UUID                Aip5j3-m4Kg-svv7-83OX-XCNe-cdvX-G6zCq8
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                4.91 GB
  Current LE             157
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:1

  --- Logical volume ---
  LV Name                /dev/vol0/home
  VG Name                vol0
  LV UUID                Y61XDG-sdtE-hivY-N6bE-HTAF-muzN-nWTMmB
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                512.00 MB
  Current LE             16
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:2


Once I create the new partition, and add it to the volume group, I run:
pvmove -v /dev/hda2 /dev/hda5

Eventually the machine will stop responding and I'll hard reboot it.  The pvmove
will continue as will hang the machine and I have to hard reboot again.  This
normally occurs several times before it completes successfully.


Version-Release number of selected component (if applicable):
RHEL4 with all updates (4.4)
lvm2-2.02.06-6.0.RHEL4
kernel-2.6.9-42.0.3.EL
device-mapper-1.02.07-4.0.RHEL4


How reproducible:
Always the first time.  I hard reboot and the machine continues the pvmove.
Normally several hard reboots are required for the pvmove to complete.
Comment 1 Forrest Taylor 2006-10-11 16:28:28 EDT
Created attachment 138275 [details]
An strace of pvmove in init 1

This contains the strace of pvmove when running from single user mode.
Comment 2 Forrest Taylor 2006-10-11 16:30:46 EDT
Created attachment 138276 [details]
Strace output from pvmove in rescue mode

This is the strace output from the pvmove done in rescue mode.	In this
instance, the / file system was mounted read-only so that I had access to
strace.  The hangs also occured when the filesystem was not mounted at all.
Comment 3 Forrest Taylor 2007-05-11 13:11:36 EDT
I just tried moving / from a regular partition to a RAID1 device on x86_64, and
it worked fine (just before RHEL4.5).  I will also attempt to verify this on RHEL5.
Comment 4 Milan Broz 2007-05-16 10:24:59 EDT
ok, I am closing this bug. Please reopen it (or open new one for RHEL5) if an
another issue arise.

Note You need to log in before you can comment on or make changes to this bug.